import { fromMarkdown } from "../../mdast-util-from-markdown/lib/index.js";
function remarkParse(t) {
	let n = this;
	n.parser = r;
	function r(r) {
		return fromMarkdown(r, {
			...n.data("settings"),
			...t,
			extensions: n.data("micromarkExtensions") || [],
			mdastExtensions: n.data("fromMarkdownExtensions") || []
		});
	}
}
export { remarkParse as default };
